<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <script>
        let lagerProcess =function(){
            console.log('start Proces');
            // bắt lỗi
            // throw (()=>{
            //     console.log('ERROR')
            // })
            setTimeout(function(){console.log('End Proccess');},2000)
            
        }
    let promise = new Promise(lagerProcess)// khởi tạo Promise
    
    promise.then(()=>{
        console.log('Process OK!');
        })
            .catch(()=>{
                console.log('ERROR')
            })
    </script>
</body>
</html>